using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njust.Pdf.Analysis.Entities
{
    [Alias(Configs.TableDisCountry)]
    [Api(Description = "国家分布")]
    public class DisCountry : EntityWithMetadata
    {
        [ApiMember(Description = "所属领域")]
        public string DomainName { get; set; }

        [ApiMember(Description = "语言")]
        public string Language { get; set; }

        [ApiMember(Description = "年份")]
        public string Year { get; set; }

        [ApiMember(Description = "国家")]
        public string Country { get; set; }

        [ApiMember(Description = "英文表示")]
        public string EnCountry { get; set; }

        [ApiMember(Description = "国家发表文献数量")]
        public int Count { get; set; }
    }
}
